Search Available Phone Numbers
curl --request GET \
--url https://app.famulor.de/api/user/phone-numbers/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/phone-numbers/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/phone-numbers/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/phone-numbers/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"phone_number": "+14155551234",
"phone_number_formatted": "+1 415-555-1234",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": true
},
{
"phone_number": "+14155555678",
"phone_number_formatted": "+1 415-555-5678",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": false
}
]
}
{
"data": []
}
Search Available Phone Numbers
Searches for available phone numbers that can be purchased
GET
/
api
/
user
/
phone-numbers
/
search
Search Available Phone Numbers
This endpoint allows you to search for available phone numbers from our provider. Use the results to find a number you want to purchase.
Query Parameters
string
default:"DE"
The ISO 3166-1 alpha-2 country code to search in (e.g. DE, GB, AU, CA)
string
Filters phone numbers containing specific digits (numeric characters only, maximum 10 digits)
Response Fields
array
Array of available phone numbers
Show Available Number Properties
Show Available Number Properties
string
The phone number in E.164 format
string
The phone number formatted for display
string
The ISO country code
number
Monthly rental price in USD
string
The Stripe price ID for billing
string
Address requirements for this number:
none, local, foreign or inventoryboolean
Whether the number supports SMS
Supported Countries
| Country | Code |
|---|---|
| Germany | DE |
| United States | US |
| Canada | CA |
| United Kingdom | GB |
| Australia | AU |
| Israel | IL |
| Poland | PL |
| Finland | FI |
| Netherlands | NL |
| Denmark | DK |
| Italy | IT |
{
"data": [
{
"phone_number": "+14155551234",
"phone_number_formatted": "+1 415-555-1234",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": true
},
{
"phone_number": "+14155555678",
"phone_number_formatted": "+1 415-555-5678",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": false
}
]
}
{
"data": []
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

